Advertising

Welcome to SparkyLinux forums
Zapraszamy również na polsko-języczne Forum Linuxiarze.pl

Author Topic: Unable to use VMware or VirtualBox because no Linux-Header [SOLVED]  (Read 290 times)

Offline bazzvn

  • Newbie
  • *
  • Posts: 2
  • Karma: 0
I have a dual boot system (in Legacy mode) with Sparky Linux 6 KDE edition and Manjaro KDE. I have to say that Sparky has been great and it has been my go to system since it was installed. However, I now have a problem with Sparky. I installed VMWare player but it won't compile/run because it can't find any linux headers. Here is a short excerpt from inxi:
System:    Kernel: 5.10.0-6-amd64 x86_64 bits: 64 compiler: gcc v: 10.2.1 Desktop: KDE Plasma 5.20.5
Distro: SparkyLinux 6 (Po-Tolo) base: Debian bullseye/sid
Machine:   Type: Portable System: Dell product: Vostro 5460 v: N/A serial: <filter>
Mobo: Dell model: 0Y68MM v: A00 serial: <filter> UEFI [Legacy]: Dell v: A03 date: 03/04/2013

So the Kernel is 5.10.0-6, but when I try to install matching headers I get:

barry@Vostro-5460:~$ sudo apt install linux-headers-$(uname -r)
[sudo] password for barry:
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
E: Unable to locate package linux-headers-5.10.0-6-amd64
E: Couldn't find any package by glob 'linux-headers-5.10.0-6-amd64'

And there also seem to be no headers for 5.10.0-6 displayed in Synaptic.

So can anyone suggest how to find and install the needed Linux header?

Thanks,
bazzvn
« Last Edit: June 06, 2021, 05:01:55 pm by bazzvn »

Offline xingjiapeng

  • Newbie
  • *
  • Posts: 36
  • Karma: 0
  • OkayPJ
Re: Unable to use VMware or VirtualBox because no Linux-Header
« Reply #1 on: June 06, 2021, 07:28:40 am »
Probably, you can install the newest linux-headers package, for the time, it's linux-headers-5.10.0-7-amd64(if you are in 64 bit system). Then reboot and choose "Advanced options" in grub, get into the 5.10.0-7 kernel.

Thanks!

Offline bazzvn

  • Newbie
  • *
  • Posts: 2
  • Karma: 0
Re: Unable to use VMware or VirtualBox because no Linux-Header [SOLVED]
« Reply #2 on: June 06, 2021, 04:58:20 pm »
Thanks xingjiapeng. I looked in the repositories before originally posting, but didn't see the standard 5.10.0-7 kernel for amd64. Your reply prompted me to look more carefully, and after following your advice, I have been able to install VMWare.
Many thanks,
bazzvn